﻿using System;
using System.Windows;
using System.Windows.Media;
using Infragistics.Windows.Chart;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            // Création de la serie
            Series newSeries = new Series();
            Random r = new Random();
            newSeries.Name = "test";
            newSeries.Label = "test";
            newSeries.StrokeThickness = 2;
            newSeries.Fill = new SolidColorBrush(Colors.Blue);
            newSeries.ChartType = ChartType.Line;

            Marker newMarker = new Marker();
            newMarker.Fill = new SolidColorBrush(Colors.BlueViolet );
            newMarker.Stroke = Brushes.Black;
            newMarker.StrokeThickness = 0.5;
            newMarker.Foreground = Brushes.Transparent;
            newMarker.Format = " ";
            newMarker.MarkerSize = 0.02;
            newSeries.Marker = newMarker;

            DateTime dt = DateTime.Today;

            for (int i = 0; i < 200; i++)
            {
                DataPoint dp = new DataPoint();
                dp.Label = dt.AddMinutes(5 * i).ToString("HH:mm");
                dp.Value = r.Next(1000, 10000);
                newSeries.DataPoints.Add(dp);
            }
            this.MeterBaseXamChart.Series.Add(newSeries);
            MeterBaseXamChart.Refresh();
        }
    }
}
